Loading...
Searching...
No Matches
QGpgME::ADQueryJob Class Reference
Inheritance diagram for QGpgME::ADQueryJob:
[legend]
Collaboration diagram for QGpgME::ADQueryJob:
[legend]

## Signals

void | result (const ADQueryResult &result, const QString &auditLogAsHtml={}, const GpgME::Error &auditLogError={})
Signals inherited from QGpgME::Job
void | jobProgress (int current, int total)
void | rawProgress (const QString &what, int type, int current, int total)
QGPGME_DEPRECATED void | progress (const QString &what, int current, int total)
void | done ()

## Public Member Functions

GpgME::Error | start (const QString &filter, const QStringList &attributes, ADQueryOptions options=ADQueryOption::Default)
ADQueryResult | exec (const QString &filter, const QStringList &attributes, ADQueryOptions options=ADQueryOption::Default)
Public Member Functions inherited from QGpgME::Job
virtual QString | auditLogAsHtml () const
virtual GpgME::Error | auditLogError () const
bool | isAuditLogSupported () const
GpgME::Error | startIt ()
void | startNow ()

## Protected Member Functions

| ADQueryJob (std::unique_ptr< ADQueryJobPrivate >, QObject *parent)
Protected Member Functions inherited from QGpgME::Job
| Job (std::unique_ptr< JobPrivate >, QObject *parent)
| Job (QObject *parent)

## Additional Inherited Members

Public Slots inherited from QGpgME::Job
virtual void | slotCancel ()=0
Static Public Member Functions inherited from QGpgME::Job
static GpgME::Context * | context (Job *job)
Protected Attributes inherited from QGpgME::Job
const std::unique_ptr< JobPrivate > | d_ptr

## Member Function Documentation

## exec()

ADQueryResult ADQueryJob::exec | ( | const QString & | filter,
|  | const QStringList & | attributes,
|  | ADQueryOptions | options = ADQueryOption::Default )

Runs an AD query with filter filter asking for the attributes attributes.

## start()

GpgME::Error ADQueryJob::start | ( | const QString & | filter,
|  | const QStringList & | attributes,
|  | ADQueryOptions | options = ADQueryOption::Default )

Starts an AD query with filter filter asking for the attributes attributes.

The documentation for this class was generated from the following files:

- adqueryjob.h
- adqueryjob.cpp